<?php
// $Id: theme-settings.php,v 1.1 2008/06/23 18:20:30 shannonlucas Exp $
/**
 * @file Provides the settings for the Notibe theme.
 */

require_once drupal_get_path('theme', 'nitobe') . '/nitobe_utils.php';

/**
 * Implementation of THEMEHOOK_settings().
 *
 * @param array $settings An array of saved settings for this
 *        theme.
 * 
 * @return array A form array.
 */
function nitobe_settings($settings) {
  $images  = _nitobe_get_header_list(TRUE);
  $options = array('<random>' => 'Random Header Image');
  
  foreach ($images as $filename => $data) {
    $options[$filename] = $data->pretty_name;
  }
  
  $form = array();
  
  $current = $settings['header_image'];
  $default = in_array($current, array_keys($options)) ? $current : '<random>';
  $form['nitobe_header']['header_image'] = array(
    '#type'          => 'select',
    '#title'         => t('Header Image'),
    '#options'       => $options,
    '#default_value' => $default,
  );

  return $form;   
}

?>